Bug 225073 - math/octave: port update to v4.2.1
Summary: math/octave: port update to v4.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Stephen Montgomery-Smith
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-11 14:05 UTC by Ben Lauwens
Modified: 2018-02-26 06:39 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (maho)


Attachments
Updated port (155.88 KB, application/x-shar)
2018-01-11 14:15 UTC, Ben Lauwens
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Lauwens 2018-01-11 14:05:28 UTC
Hereby a fixed makefile, patches and pkg-plist to update math/octave to v4.2.1
All testing passed (as described in the porter's handbook).
This is my first contribution to the FreeBSD port infrastructure, so if I have to do things differently, feel free to correct me.
Thanks

Ben
Comment 1 Ben Lauwens 2018-01-11 14:15:57 UTC
Created attachment 189614 [details]
Updated port
Comment 2 Steve Kargl freebsd_committer 2018-02-06 00:55:47 UTC
Ben,

Thanks for creating an update.  I have/had a math/octave42
sitting in my tree for a bit, and finally got around to 
cleaning it up.  Decided to check to see if a bug report
existed.  Guess I can toss my update.
Comment 3 Steve Kargl freebsd_committer 2018-02-22 01:14:24 UTC
Any chance that this will get committed.
Comment 4 Ben Lauwens 2018-02-22 19:52:59 UTC
I think the maintainer has to take action. I have no commit rights...
Comment 5 Steve Kargl freebsd_committer 2018-02-22 19:58:21 UTC
Ben, yes, I know we need to get the maintainer to 
commit the patch.  I should have addressed Maho
with my ping.  Apologies for any confusion.
Comment 6 Maho Nakata freebsd_committer 2018-02-23 01:27:39 UTC
sorry for not responding. currently I don't have a machine installed FreeBSD. Could someone commit instead? I'd like to drop maintainership as well.
Comment 7 Stephen Montgomery-Smith freebsd_committer 2018-02-23 18:49:35 UTC
I'll take it.  I'll take maintainership as well.
Comment 8 Stephen Montgomery-Smith freebsd_committer 2018-02-24 01:06:11 UTC
I am trying to build this port.  I am getting the weirdest error.  Any ideas?

This is with a recent build of FreeBSD 10-stable.

/bin/sh ./libtool  --tag=CXX   --mode=compile c++ -std=gnu++11 -DHAVE_CONFIG_H -I.  -Iliboctave -I./liboctave -I./liboctave/cruft/misc -I./liboctave/array -Iliboctave/numeric -I./liboctave/numeric -Iliboctave/operators -I./liboctave/operators -I./liboctave/system -I./liboctave/util -I./libinterp/octave-value -Ilibinterp -I./libinterp -I./libinterp/operators -Ilibinterp/parse-tree -I./libinterp/parse-tree -Ilibinterp/corefcn -I./libinterp/corefcn -I./liboctave/wrappers  -I/usr/local/include/GraphicsMagick  -I/usr/local/include -D_THREAD_SAFE -fPIC -D_THREAD_SAFE -pthread -Wall -W -Wshadow -Wold-style-cast -Wformat -Wpointer-arith -Wwrite-strings -Wcast-align -Wcast-qual -O2 -pipe -fstack-protector -fno-strict-aliasing  -MT libinterp/libinterp_liboctinterp_la-liboctinterp-build-info.lo -MD -MP -MF libinterp/.deps/libinterp_liboctinterp_la-liboctinterp-build-info.Tpo -c -o libinterp/libinterp_liboctinterp_la-liboctinterp-build-info.lo `test -f 'libinterp/liboctinterp-build-info.cc' || echo './'`libinterp/liboctinterp-build-info.cc
In file included from libinterp/template-inst/Array-tc.cc:33:
In file included from ./libinterp/octave-value/ov-classdef.h:28:
In file included from /usr/include/c++/v1/map:423:
/usr/include/c++/v1/__tree:747:59: error: static_cast from '__node_pointer' (aka
      'std::__1::__tree_node<std::__1::__value_type<cdef_class,
      std::__1::list<cdef_class, std::__1::allocator<cdef_class> > >, void *>
      *') to '__node_base_pointer' (aka 'std::__1::__tree_node_base<void *> *')
      is not allowed
  ...static_cast<__node_base_pointer>(__ptr_)));
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 9 Steve Kargl freebsd_committer 2018-02-24 01:28:26 UTC
(In reply to Stephen Montgomery-Smith from comment #8)

The stupidity of no being able to reply to emails for
bugzilla is making this difficult.

Anyway, I don't use FreeBSD 10 or 11, only current.
Can you drop the -std=gnu++11 or change it to gnu++14?

This looks like yet another clang incompatibility 
with gcc.
Comment 10 Stephen Montgomery-Smith freebsd_committer 2018-02-24 03:22:46 UTC
Adding USES=compiler:c++14-lang seemed to fix it.  Thanks.
Comment 11 Stephen Montgomery-Smith freebsd_committer 2018-02-24 05:07:04 UTC
Other changes needed:

Need to tell configure to look in ${LOCALBASE}/openjdk8/include/freebsd instead of ${LOCALBASE}/openjdk8/include/linux.

texi2dvi didn't work unless print/tex-formats was installed, so added USE_TEX=formats:build

Added the following lines to pkg-plist:
%%PORTDOCS%%%%DOCSDIR%%/liboctave.ps
%%PORTDOCS%%%%DOCSDIR%%/octave.ps
%%PORTDOCS%%%%DOCSDIR%%/refcard-a4.ps
%%PORTDOCS%%%%DOCSDIR%%/refcard-legal.ps
%%PORTDOCS%%%%DOCSDIR%%/refcard-letter.ps

Now I am seeing if octave-forge builds on top of it.
Comment 12 sgk 2018-02-24 15:56:49 UTC
(In reply to Stephen Montgomery-Smith from comment #11)

Stephen, I know a few of the forge packages works.  I
have

octave-4.2.1                   High-level interactive language for numerical computations
octave-forge-base-1.4_1        Octave-forge baseport for all packages
octave-forge-control-3.0.0_4   Octave-forge package control
octave-forge-image-2.6.2       Octave-forge package image
octave-forge-netcdf-1.0.11_2   Octave-forge package netcdf
octave-forge-signal-1.3.2_4    Octave-forge package signal
Comment 13 commit-hook freebsd_committer 2018-02-24 21:53:34 UTC
A commit references this bug:

Author: stephen
Date: Sat Feb 24 21:52:33 UTC 2018
New revision: 462865
URL: https://svnweb.freebsd.org/changeset/ports/462865

Log:
  - Update to 4.2.1.
  - Maintainership to stephen@.

  PR:		ports/225073
  Submitted by:	Ben Lauwens <ben.lauwens@gmail.com>

Changes:
  head/math/octave/Makefile
  head/math/octave/distinfo
  head/math/octave/files/patch-build-aux_find-defun-files.sh
  head/math/octave/files/patch-build-aux_find-files-with-tests.sh
  head/math/octave/files/patch-build-aux_mk-builtins.sh
  head/math/octave/files/patch-build-aux_mk-octave-config-h.sh
  head/math/octave/files/patch-configure
  head/math/octave/files/patch-gsed
  head/math/octave/files/patch-libgnu-math.in.h
  head/math/octave/files/patch-libinterp_mk-pkg-add
  head/math/octave/files/patch-libinterp_mkops
  head/math/octave/files/patch-liboctave-numeric-eigs-base.cc
  head/math/octave/files/patch-liboctave_system_file-stat.cc
  head/math/octave/files/patch-scripts+pkg+private+configure__make.m
  head/math/octave/files/patch-scripts_mk-pkg-add
  head/math/octave/files/patch-scripts_pkg_private_configure__make.m
  head/math/octave/pkg-plist
Comment 14 Stephen Montgomery-Smith freebsd_committer 2018-02-25 00:17:53 UTC
Committed, and appropriate changes made to the octave-forge ports.  Thank you.
Comment 15 Maho Nakata freebsd_committer 2018-02-26 06:39:04 UTC
thanks!